> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zilmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payee

> Create one or more payees.



## OpenAPI

````yaml POST /payees
openapi: 3.0.1
info:
  title: Online Check Writer API
  description: API documentation for managing payees.
  version: 1.0.0
servers:
  - url: https://test.onlinecheckwriter.com/api/v3
    description: Test server
  - url: https://app.onlinecheckwriter.com/api/v3
    description: Production server
security: []
paths:
  /payees:
    post:
      tags:
        - Payees
      summary: Create payees
      description: Create one or more payees.
      requestBody:
        description: Payload to create new payees.
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                payees:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        example: John Doe
                      nickName:
                        type: string
                        example: JD
                      company:
                        type: string
                        example: Company A
                      email:
                        type: string
                        example: johndoe@example.com
                      phone:
                        type: string
                        example: '1234567890'
                      address1:
                        type: string
                        example: Address 1
                      address2:
                        type: string
                        example: Address 2
                      city:
                        type: string
                        example: City
                      state:
                        type: string
                        example: ST
                      zip:
                        type: string
                        example: '12345'
                      country:
                        type: string
                        example: US
                    required:
                      - name
      responses:
        '201':
          description: Payees created successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Successfully created.
                  data:
                    type: object
                    properties:
                      payees:
                        type: array
                        items:
                          type: object
                          properties:
                            payeeId:
                              type: string
                              example: RJ6qGAAxJPGE1rD
                            name:
                              type: string
                              example: John Doe
                            nickName:
                              type: string
                              example: JD
                            company:
                              type: string
                              example: Company A
                            email:
                              type: string
                              example: johndoe@example.com
                            phone:
                              type: string
                              example: '1234567890'
                            address1:
                              type: string
                              example: Address 1
                            address2:
                              type: string
                              example: Address 2
                            city:
                              type: string
                              example: City
                            state:
                              type: string
                              example: ST
                            zip:
                              type: string
                              example: '12345'
                            country:
                              type: string
                              example: US
        '401':
          description: Unauthorized. Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthenticated.
        '422':
          description: Unprocessable entity. Validation failed or duplicate payee found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errorMsg:
                    type: string
                    example: The name field is required.
                  payeeId:
                    type: string
                    example: RJ6qGAAxJPGE1rD
                    nullable: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````